Subject: bug#14505: Bug in "cat" command

From: "Kakkar, Mayank (NSN - IN/Bangalore)" <[email-masked]>
Date: Wed, 29 May 2013 11:57:49 +0000

Hi RHEL Team,

I was working with cat command and testing its functionality. I learnt in one of the manuals that if multiple files are specified, the contents of the files are concatenated in the output, but line numbering is restarted at 1 for each file. However in an experiment I found this not to be true.

[root@sai6 mayanktest]# ls -l aa bb
-rw-r--r-- 1 root root 10 May 29 17:15 aa
-rw-r--r-- 1 root root 22 May 29 17:18 bb

[root@sai6 mayanktest]# cat -b bb aa
     1  a
     2  b
     3  c
     4  d
     5  e

     6  f
     7  g
     8  h
     9  i
    10  j
    11  1
    12  2
    13  3
    14  4
15  5

Here, we can see that the numbering does not restarts with the new file contents.

I look forward to your response.

Regards
Mayank